luanti(6)

NAME
luanti, luantiserver - voxel game engine

SYNOPSIS
luanti [--server SERVER OPTIONS | CLIENT OPTIONS] [COMMON OPTIONS] luantiserver [SERVER OPTIONS] [COMMON OPTIONS]

DESCRIPTION
Luanti (formerly Minetest) is a voxel game engine with easy modding and game creation.

COMMON OPTIONS

--help
    Print allowed options and exit

--version
    Print version information and exit

--config <value>
    Load configuration from specified file

--logfile <value>
    Set logfile path ('' for no logging)

--info
    Print more information to console

--verbose
    Print even more information to console

--trace
    Print enormous amounts of information to console

--quiet
    Print only errors to console

--color always | never | auto
    Coloured logs, default: 'auto'

--log-timestamp wall | relative | none
    Timestamped logs, default: 'wall'

--gameid <value> | list
    Set gameid or list available ones

--worldname <value>
    Set world path by name

--world <value>
    Set world path

--worldlist path | name | both
    Get list of worlds ('path' lists paths, 'name' lists names, 'both' lists both)

--map-dir <value>
    Same as --world (deprecated)

--port <value>
    Set network port (UDP) to use

--run-unittests
    Run unit tests and exit

--run-benchmarks
    Run benchmarks and exit

CLIENT OPTIONS

--address <value>
    Address to connect to ('' = local game)

--go
    Skip main menu, go directly in-game

--name <value>
    Set player name

--password <value>
    Set password

--password-file <value>
    Set password from contents of file

--random-input
    Enable random user input (for testing)

SERVER OPTIONS

--migrate <value>
    Migrate from current map backend to another. See supported backends with --help.

--migrate-auth <value>
    Migrate from current auth backend to another. See supported backends with --help.

--migrate-players <value>
    Migrate from current players backend to another. See supported backends with --help.

--migrate-mod-storage <value>
    Migrate from current mod storage backend to another. See supported backends with --help.

--terminal
    Display an interactive terminal over ncurses during execution.

ENVIRONMENT VARIABLES

MINETEST_GAME_PATH
    Colon delimited list of directories to search for games

MINETEST_MOD_PATH
    Colon delimited list of directories to search for mods

MINETEST_USER_PATH
    Path to Luanti user data directory (only on RUN_IN_PLACE=0 build)

LOG_TIMESTAMP
    Equivalent to --log-timestamp

BUGS
Please report all bugs at https://github.com/luanti-org/luanti/issues.

AUTHORS

Perttu Ahola <celeron55@gmail.com> and contributors.

This man page was originally written by Juhani Numminen <juhaninumminen0@gmail.com>.

WWW
http://www.luanti.org/